View Issue Details

IDProjectCategoryView StatusLast Update
0002954ArchPatchpublic2017-03-16 14:57
ReportersimsiemAssigned Toyorik 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformOSUbuntuOS Version14.04.5
Product Version0.17 
Target VersionFixed in Version0.17 
Summary0002954: Profiles for Arch pipes not working
DescriptionWhen assigning a profile to a pipe, an exception occurs in
getProfile
.

I created a patch and attached it.

Steps To ReproduceForce FreeCAD to recompute a pipe with a profile. I attached a FreeCAD file for you to reproduce it.
TagsNo tags attached.

Activities

simsiem

2017-03-07 17:16

reporter  

pipe_with_profile.fcstd (Attachment missing)
0001-Fix-copy-paste-errors-in-ArchPipe-for-profiles.patch (Attachment missing)

Kunda1

2017-03-07 17:46

administrator   ~0008570

Thanks for the ticket and patch. In future please also post your
Help > About FreeCAD > Copy to clipboard

simsiem

2017-03-09 07:41

reporter   ~0008586

Link to forum thread with a bit of discussion history: https://forum.freecadweb.org/viewtopic.php?f=3&t=21079

System configuration:
OS: Ubuntu 14.04.5 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.10356 (Git)
Build type: None
Branch: master
Hash: cd1f010fe75ee672b0afe684c95736d850c01c93
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17

Kunda1

2017-03-12 16:35

administrator   ~0008616

Patch submitted to github FreeCAD Pull Request 612

Kunda1

2017-03-15 20:14

administrator   ~0008632

Last edited: 2017-03-15 20:17

View 4 revisions

@simsiem committed in FreeCAD master 2dc12cd5
Thanks for your patch!

kkremitzki

2017-03-15 23:06

administrator   ~0008637

FreeCAD master 2dc12cd5

Related Changesets

FreeCAD: master 2dc12cd5

2017-03-12 16:30:53

Kunda


Committer: yorik Details Diff
Profiles for Arch pipes (fixes issue 0002954)

Submitting this PR for user simsiem
MantisBT ticket 0002954
Forum thread: https://forum.freecadweb.org/viewtopic.php?f=3&t=21079
Affected Issues
0002954
mod - src/Mod/Arch/ArchPipe.py Diff File

Issue History

Date Modified Username Field Change
2017-03-07 17:16 simsiem New Issue
2017-03-07 17:16 simsiem File Added: pipe_with_profile.fcstd
2017-03-07 17:16 simsiem File Added: 0001-Fix-copy-paste-errors-in-ArchPipe-for-profiles.patch
2017-03-07 17:46 Kunda1 Note Added: 0008570
2017-03-07 17:52 Kunda1 Category Bug => Patch
2017-03-09 07:41 simsiem Note Added: 0008586
2017-03-12 16:35 Kunda1 Note Added: 0008616
2017-03-15 13:34 yorik Changeset attached => FreeCAD master 2dc12cd5
2017-03-15 20:14 Kunda1 Status new => resolved
2017-03-15 20:14 Kunda1 Resolution open => fixed
2017-03-15 20:14 Kunda1 Fixed in Version => 0.17
2017-03-15 20:14 Kunda1 Note Added: 0008632
2017-03-15 20:15 Kunda1 Note Edited: 0008632 View Revisions
2017-03-15 20:17 Kunda1 Note Edited: 0008632 View Revisions
2017-03-15 20:17 Kunda1 Note Edited: 0008632 View Revisions
2017-03-15 23:06 kkremitzki Note Added: 0008637
2017-03-16 14:57 yorik Assigned To => yorik
2017-03-16 14:57 yorik Status resolved => closed